# dwmblocks
My personal fork of dwmblocks. Original found
[here](https://github.com/torrinfail/dwmblocks).

Dwmblocks is a modular status bar for dwm written in c.

## Usage
To use dwmblocks first run 'make' and then install it with 'sudo make install'.
After that you can put dwmblocks in your xinitrc or other startup script to have
it start with dwm.

The dwmblocks-pulse-listener program is a small daemon that takes the pid of a
dwmblocks instance and notifies it of pulse audio volume changes.

## Modifying Blocks
The status bar is made from text output from command-line programs. Blocks are
added and removed by editing the blocks.h header file. By default the blocks.h
header file is created the first time you run make which copies the default
config from blocks.def.h. This is so you can edit your status bar commands and
they will not get overwritten in a future update.

## Other Changes
Note that the intervals listed in blocks.h are in milliseconds (1/1000 second).
Because of this, the SECONDS() macro is provided for readability. I also
implemented some changes from Luke Smith's fork found
[here](https://github.com/LukeSmithxyz/dwmblocks).
